import request from "@/utils/request";

// 查询产品归档列表
export function listProductsRecord(query) {
  return request({
    url: "/business/products/list",
    method: "get",
    params: query,
  });
}

// 查询产品归档详细
export function getProductsRecord(id) {
  return request({
    url: "/business/products/" + id,
    method: "get",
  });
}

// 新增产品归档
export function addProductsRecord(data) {
  return request({
    url: "/business/products",
    method: "post",
    data: data,
  });
}

// 修改产品归档
export function updateProductsRecord(data) {
  return request({
    url: "/business/products",
    method: "put",
    data: data,
  });
}

// 删除产品归档
export function delProductsRecord(id) {
  return request({
    url: "/business/products/" + id,
    method: "delete",
  });
}
